Introduction The IBM® watsonx™ Assistant service combines machine learning, natural language understanding, and an integrated dialog editor to create conversation flows between your apps and your users. The Assistant v2 API provides runtime methods your client application can use to send user input to an assistant and receive a response. You need a paid Plus plan or higher to use the watsonx Assistant v2 API. This documentation describes Java SDK major version 9. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/java-sdk/blob/master/MIGRATION-V9.md. This documentation describes Node SDK major version 6. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/node-sdk/blob/master/MIGRATION-V6.md. This documentation describes Python SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/python-sdk/blob/master/MIGRATION-V5.md. This documentation describes Ruby SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/ruby-sdk/blob/master/MIGRATION-V2.md. This documentation describes .NET Standard SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/dotnet-standard-sdk/blob/master/MIGRATION-V5.md. This documentation describes Go SDK major version 2. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/go-sdk/blob/master/MIGRATION-V2.md. This documentation describes Swift SDK major version 4. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/swift-sdk/blob/master/MIGRATION-V4.md. This documentation describes Unity SDK major version 5. For more information about how to update your code from the previous version, see the migration guidehttps://github.com/watson-developer-cloud/unity-sdk/blob/master/MIGRATION-v5.md. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-java. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-node. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 API referenceassistant-v1-python. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-ruby. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-go. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-swift. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-dotnet-standard. If you need to change a skill programmatically rather than by using the watsonx Assistant user interface, you can use the workspace authoring methods that are provided by the v1 APIassistant-v1-unity. The code examples on this tab use the client library that is provided for Java. Maven xml Method Path Summary POST /v2/providers Create a conversational skill provider GET /v2/providers List conversational skill providers POST /v2/providers/{provider_id} Update a conversational skill provider POST /v2/assistants Create an assistant GET /v2/assistants List assistants DELETE /v2/assistants/{assistant_id} Delete assistant POST /v2/assistants/{assistant_id}/environments/{environment_id}/sessions Create a session DELETE /v2/assistants/{assistant_id}/environments/{environment_id}/sessions/{session_id} Delete session POST /v2/assistants/{assistant_id}/environments/{environment_id}/sessions/{session_id}/message Send user input to assistant (stateful) POST /v2/assistants/{assistant_id}/environments/{environment_id}/message Send user input to assistant (stateless) POST /v2/assistants/{assistant_id}/environments/{environment_id}/sessions/{session_id}/message_stream Send user input to assistant (stateful) POST /v2/assistants/{assistant_id}/environments/{environment_id}/message_stream Send user input to assistant (stateless) POST /v2/skills/{skill_id}/workspace/bulk_classify Identify intents and entities in multiple user utterances GET /v2/assistants/{assistant_id}/logs List log events for an assistant DELETE /v2/user_data Delete labeled data GET /v2/assistants/{assistant_id}/environments List environments GET /v2/assistants/{assistant_id}/environments/{environment_id} Get environment POST /v2/assistants/{assistant_id}/environments/{environment_id} Update environment POST /v2/assistants/{assistant_id}/releases Create release GET /v2/assistants/{assistant_id}/releases List releases GET /v2/assistants/{assistant_id}/releases/{release} Get release DELETE /v2/assistants/{assistant_id}/releases/{release} Delete release POST /v2/assistants/{assistant_id}/releases/{release}/deploy Deploy release POST /v2/assistants/{assistant_id}/releases/{release}/export Create release export GET /v2/assistants/{assistant_id}/releases/{release}/export Get release export POST /v2/assistants/{assistant_id}/import Create release import GET /v2/assistants/{assistant_id}/import Get release import Status GET /v2/assistants/{assistant_id}/skills/{skill_id} Get skill POST /v2/assistants/{assistant_id}/skills/{skill_id} Update skill GET /v2/assistants/{assistant_id}/skills_export Export skills POST /v2/assistants/{assistant_id}/skills_import Import skills GET /v2/assistants/{assistant_id}/skills_import/status Get status of skills import